# collibra-catalog_external_profiling_upload_100
<p>This API is used to manually push profiling data.</p>

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import collibra_catalog_external_profiling_upload 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import collibra_catalog_external_profiling_upload
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import collibra_catalog_external_profiling_upload
from collibra_catalog_external_profiling_upload.rest import ApiException
from pprint import pprint
# Configure HTTP basic authorization: basicAuth
configuration = collibra_catalog_external_profiling_upload.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = collibra_catalog_external_profiling_upload.ProfilingApi(collibra_catalog_external_profiling_upload.ApiClient(configuration))
body = collibra_catalog_external_profiling_upload.DataProfilingRequest() # DataProfilingRequest | The column profiles to update.
If a property is not set it's ignored (not updated)
If a property is set to null it's deleted.

A valid assetIdentifer contains one of the following combinations:
- id
- assetName, domainId
- communityName, assetName, domainName

Strings containing numeric value must use `.` as decimal separator. No thousands separator should be used. In scientific notation, an `E` should separate the mantissa from the exponent, with no other extra character. (optional)

try:
    # Updates column profiles.
    api_response = api_instance.update_columns_profiling_data(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ProfilingApi->update_columns_profiling_data: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to */rest/catalog/1.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ProfilingApi* | [**update_columns_profiling_data**](docs/ProfilingApi.md#update_columns_profiling_data) | **PATCH** /profiling/columns | Updates column profiles.

## Documentation For Models

 - [AssetIdentifier](docs/AssetIdentifier.md)
 - [CategoricalMetadata](docs/CategoricalMetadata.md)
 - [ColumnProfile](docs/ColumnProfile.md)
 - [Counts](docs/Counts.md)
 - [DataProfilingRequest](docs/DataProfilingRequest.md)
 - [DataProfilingResponse](docs/DataProfilingResponse.md)
 - [DatabaseMetadata](docs/DatabaseMetadata.md)
 - [Distributions](docs/Distributions.md)
 - [HistogramBin](docs/HistogramBin.md)
 - [Point](docs/Point.md)
 - [Quantiles](docs/Quantiles.md)
 - [Samples](docs/Samples.md)
 - [Statistics](docs/Statistics.md)

## Documentation For Authorization


## basicAuth

- **Type**: HTTP basic authentication


## Author


